/***************************************************************************
                          kurd.h  -  description
                             -------------------
    begin                : Fri Feb 14 15:15:40 CST 2003
    copyright            : (C) 2003 by David Monk
    email                : dmonk@purplebear.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KURD_H
#define KURD_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapp.h>
#include <kmainwindow.h>
#include <kstandarddirs.h>
#include <kprocess.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qobject.h>

#include "kurdconfig.h"

class Kurd : public KMainWindow
{
	Q_OBJECT
public:
	Kurd();
private:
	QLabel *lineLabel;
	QLabel *bannerLabel;
	QPushButton *btnConnect;
	QPushButton *btnCancel;
	QPushButton *btnOptions;
	QComboBox *serverName;
	KurdConfig *dlgConfig;
	void setupVNC(KProcess *p);
	void setupRD(KProcess *p);
private slots:
	void slotCheck(KProcess *p);
	void slotConnect();
	void slotOptions();
	void slotTextChanged();
};

#endif
